Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class PrivilegeMapping

java.lang.Object
org.firebirdsql.jdbc.metadata.PrivilegeMapping

public final class PrivilegeMapping extends Object
Maps Firebird privilege codes (from `RDB$USER_PRIVILEGES.RDB$PRIVILEGE`) to a privilege name.

Since:
  5
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static String`
`mapPrivilege(String firebirdPrivilege)`
Maps the (one character) Firebird privilege code to the equivalent JDBC privilege.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### mapPrivilege

public static String mapPrivilege(String firebirdPrivilege)
Maps the (one character) Firebird privilege code to the equivalent JDBC privilege.

Parameters:
  `firebirdPrivilege` - Firebird privilege character
Returns:
  privilege name or `"UNKNOWN"` when the privilege is not known